Update Fulfillment Order (Deprecated)Deprecated

Deprecated. Use Update Fulfillment Order Partner References instead. This endpoint is retained for backwards compatibility and may be removed in a future version.

Updates fulfillment order partner references. The behaviour is identical to PATCH /orders/{orderReference}/fulfillment-orders/{fulfillmentOrderId}/update-partner-references.

Updatable Fields

  • partner_fulfillment_order_reference: Your system's reference for the fulfillment order.
  • fulfillments: Update partner_fulfillment_reference for individual fulfilled items.

Updating Fulfillments

When updating fulfillments, you must provide:

  • fulfillment_id: Must match an existing fulfillment ID in the FO's fulfilled items.
  • partner_fulfillment_reference: Your new reference for this fulfillment.

Inventory Impact

No inventory changes occur - this endpoint only updates reference fields.

SecurityOAuth2-Production or OAuth2-Demo
Request
path Parameters
orderReference
required
string

The order reference (order_id or partner_order_reference based on the key parameter).

fulfillmentOrderId
required
string

The unique identifier of the fulfillment order.

query Parameters
key
string
Default: "order_id"

Specifies which reference type is being used for the order reference.

Enum: "order_id" "partner_order_reference"
header Parameters
x-api-key
required
string

Your Carriyo API key for authentication.

tenant-id
required
string

Your unique tenant identifier in Carriyo.

Content-Type
string
Default: application/json
Request Body schema: application/json
required
partner_fulfillment_order_reference
string

Updated partner reference for the fulfillment order.

Array of objects (Update Fulfillment Request)

Updates to existing fulfillments' partner references.

Responses
200

Fulfillment order updated successfully.

400

Cannot update fulfillment order.

404

Order or fulfillment order not found.

patch/orders/{orderReference}/fulfillment-orders/{fulfillmentOrderId}
Request samples
application/json
{
  • "partner_fulfillment_order_reference": "string",
  • "fulfillments": [
    ]
}
Response samples
application/json
{
  • "tenant": "string",
  • "order_id": "string",
  • "merchant": "string",
  • "partner_order_reference": "string",
  • "language": "string",
  • "order_date": "2019-08-24T14:15:22Z",
  • "sales_channel": "string",
  • "creation_source": {
    },
  • "update_source": {
    },
  • "carriyo_metadata": [
    ],
  • "status": "open",
  • "auto_allocation_failed": true,
  • "cancellation_reason": "CUSTOMER_CANCELLATION",
  • "billing_address": {
    },
  • "customer": {
    },
  • "customer_key": "string",
  • "payment": {
    },
  • "redacted": true,
  • "taxes_included": true,
  • "duties_included": true,
  • "discount_applications": [
    ],
  • "line_items": [
    ],
  • "fulfillment_orders": [
    ],
  • "shipping_lines": [
    ],
  • "error_details": [
    ],
  • "creation_date": "2019-08-24T14:15:22Z",
  • "update_date": "2019-08-24T14:15:22Z"
}